/*
 * @Author: ChenYaJin
 * @Date: 2021-10-22 17:57:32
 * @LastEditors: ChenYaJin
 * @LastEditTime: 2021-10-27 12:38:39
 * @Description: 
 */
class DeviceDetailModel {
  String? id;
  String? name;
  String? deviceCode;
  int? networkStatus;

  DeviceDetailModel({
    this.id,
    this.name,
    this.deviceCode,
    this.networkStatus,
  });

  DeviceDetailModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    id = map['id'];
    name = map['name'];
    deviceCode = map['deviceCode'];
    networkStatus = map['networkStatus'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['id'] = this.id;
    json['name'] = this.name;
    json['deviceCode'] = this.deviceCode;
    json['networkStatus'] = this.networkStatus;
    return json;
  }
}
